timeline
Return a list of time intervals and the number of detections for each interval, including intervals where no source images were captured, along with meta information.
GET /api/v2/events/3791/timeline/?format=api
{ "data": [ { "start": "2023-10-14T18:20:00", "end": "2023-10-14T18:21:00", "first_capture": { "id": 10660431, "details": "https://api.beluga.insectai.org/api/v2/captures/10660431/?format=api", "user_permissions": [] }, "top_capture": { "id": 10660431, "details": "https://api.beluga.insectai.org/api/v2/captures/10660431/?format=api", "user_permissions": [] }, "captures_count": 1, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:21:00", "end": "2023-10-14T18:22:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:22:00", "end": "2023-10-14T18:23:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:23:00", "end": "2023-10-14T18:24:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:24:00", "end": "2023-10-14T18:25:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:25:00", "end": "2023-10-14T18:26:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:26:00", "end": "2023-10-14T18:27:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:27:00", "end": "2023-10-14T18:28:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:28:00", "end": "2023-10-14T18:29:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:29:00", "end": "2023-10-14T18:30:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:30:00", "end": "2023-10-14T18:31:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:31:00", "end": "2023-10-14T18:32:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:32:00", "end": "2023-10-14T18:33:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:33:00", "end": "2023-10-14T18:34:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:34:00", "end": "2023-10-14T18:35:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:35:00", "end": "2023-10-14T18:36:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:36:00", "end": "2023-10-14T18:37:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:37:00", "end": "2023-10-14T18:38:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:38:00", "end": "2023-10-14T18:39:00", "first_capture": null, "top_capture": null, "captures_count": 0, "detections_count": 0, "detections_avg": 0, "was_processed": false }, { "start": "2023-10-14T18:39:00", "end": "2023-10-14T18:40:00", "first_capture": { "id": 10660880, "details": "https://api.beluga.insectai.org/api/v2/captures/10660880/?format=api", "user_permissions": [] }, "top_capture": { "id": 10660880, "details": "https://api.beluga.insectai.org/api/v2/captures/10660880/?format=api", "user_permissions": [] }, "captures_count": 1, "detections_count": 0, "detections_avg": 0, "was_processed": false } ], "meta": { "total_intervals": 20, "resolution_minutes": 1, "max_detections": 0, "min_detections": 0, "total_detections": 0, "timeline_start": "2023-10-14T18:20:00", "timeline_end": "2023-10-14T18:40:00" } }